OpenNMS API 1.2.9

## org.opennms.netmgt.config.vacuumd
Class VacuumdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.vacuumd.VacuumdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class VacuumdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_period` keeps track of state for field: _period
`private int` `_period`
`private java.util.ArrayList` `_statementList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`VacuumdConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addStatement(int index, Statement vStatement)`
`void` `addStatement(Statement vStatement)`
`void` `clearStatement()`
`java.util.Enumeration` `enumerateStatement()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getPeriod()` Returns the value of field 'period'.
`Statement[]` `getStatement()`
`Statement` `getStatement(int index)`
`java.util.Collection` `getStatementCollection()`
`int` `getStatementCount()`
`boolean` `hasPeriod()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeStatement(Statement vStatement)`
`void` `setPeriod(int period)` Sets the value of field 'period'.
`void` `setStatement(int index, Statement vStatement)`
`void` `setStatement(Statement[] statementArray)`
`void` `setStatementCollection(java.util.Collection vStatement)`
`static VacuumdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _period

    private int _period

### _has_period

    private boolean _has_period

  keeps track of state for field: _period

### _statementList

    private java.util.ArrayList _statementList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### VacuumdConfiguration

    public VacuumdConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addStatement

    public void addStatement(Statement vStatement)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vStatement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addStatement

    public void addStatement(int index,
                             Statement vStatement)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStatement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearStatement

    public void clearStatement()

### enumerateStatement

    public java.util.Enumeration enumerateStatement()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getPeriod

    public int getPeriod()

  Returns the value of field 'period'.

  Returns:
    the value of field 'period'.

### getStatement

    public Statement getStatement(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getStatement

    public Statement[] getStatement()

### getStatementCollection

    public java.util.Collection getStatementCollection()

### getStatementCount

    public int getStatementCount()

### hasPeriod

    public boolean hasPeriod()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeStatement

    public boolean removeStatement(Statement vStatement)

  Parameters:
    `vStatement` -

### setPeriod

    public void setPeriod(int period)

  Sets the value of field 'period'.

  Parameters:
    `period` - the value of field 'period'.

### setStatement

    public void setStatement(int index,
                             Statement vStatement)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStatement` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setStatement

    public void setStatement(Statement[] statementArray)

  Parameters:
    `statementArray` -

### setStatementCollection

    public void setStatementCollection(java.util.Collection vStatement)

  Parameters:
    `vStatement` -

### unmarshal

    public static VacuumdConfiguration unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.